' ----------------------------------------------------------------------------
' Locatie telemeter pas deze aan indien je telmeter op een andere locatie hebt
' ----------------------------------------------------------------------------

xtelemeter = "C:\Program Files\Telemeter 3.0\telemeter.log"

' ------------------------------------------------------
' Hieronder niets veranderen indien je er nietw van kent
' ------------------------------------------------------
' --------------------------
' Datum van gisteren generen
' --------------------------


' Yesterday.vbs,  Version 1.01 for Windows Script Host 2.00
' Display today's and yesterday's date in two formats
'
' Written by Rob van der Woude
' http://www.robvanderwoude.com

' Specify header
strHead    = "Format:     YYYYMMDD  (DD/MM/YY)" & Chr(13) & Chr(10) & _
             "==================================" & Chr(13) & Chr(10)


' Get current year
strYear = DatePart("yyyy",Date)

' Get current month, add leading zero if necessary
If DatePart("m",Date) < 10 Then
	strMonth = 0 & DatePart("m",Date)
Else
	strMonth = DatePart("m",Date)
End If

' Get current day, add leading zero if necessary
If DatePart("d",Date) < 10 Then
	strDay = 0 & DatePart("d",Date)
Else
	strDay = DatePart("d",Date)
End If

' Format output for today
strToday = "Today:      " & strYear & strMonth & strDay & "  (" & _
           strDay & "/" & strMonth & "/" & strYear & ")" & Chr(13) & Chr(10)

' Calculate yesterday's date
dtmYesterday = DateAdd("d",-1,Date)

' Get yesterday's year
strYear      = DatePart("yyyy",dtmYesterday)

' Get yesterday's month, add leading zero if necessary
If DatePart("m",dtmYesterday) < 10 Then
	strMonth = 0 & DatePart("m",dtmYesterday)
Else
	strMonth = DatePart("m",dtmYesterday)
End If

' Get yesterday's day, add leading zero if necessary
If DatePart("d",dtmYesterday) < 10 Then
	strDay = 0 & DatePart("d",dtmYesterday)
Else
	strDay = DatePart("d",dtmYesterday)
End If

' Format output for yesterday
strYest = "Yesterday:  " & strYear & strMonth & strDay & "  (" & _
          strDay & "/" & strMonth & "/" & strYear & ")"

'--------------------
' telemeter funncties
'--------------------
Function getDateyesterday
	getDateyesterday = strDay+"/"+strMonth+"/"+boundedString2( strDay+"/"+strMonth+"/", " ", 1, xtelemeter)
	If getDateyesterday = "NA" Then
		getDateyesterday = "NA"
	Else
		getDateyesterday = getDateyesterday
	End If
End Function	
Function getDownloadprc
    getDownloadprc = boundedString2( strDay+"/"+strMonth+"/"+boundedString2( strDay+"/"+strMonth+"/", " ", 1, xtelemeter)+" ", " ", 1, xtelemeter)
    If getDownloadprc = "NA" Then
      getDownloadprc = "NA"
    Else
      getDownloadprc = getDownloadprc
    End If
End Function
Function getUploadprc
    getUploadprc = boundedString2( strDay+"/"+strMonth+"/"+boundedString2( strDay+"/"+strMonth+"/", " ", 1, xtelemeter)+" "+getDownloadprc+" ", " ", 1, xtelemeter)
    If getUploadprc = "NA" Then
      getUploadprc = "NA"
    Else
      getUploadprc = getUploadprc
    End If
End Function
Function getDownloadedMB
    getDownloadedMB = boundedString2( strDay+"/"+strMonth+"/"+boundedString2( strDay+"/"+strMonth+"/", " ", 1, xtelemeter)+" "+getDownloadprc+" "+getUploadprc+" ", ".000000", 1, xtelemeter)
    If getDownloadedMB = "NA" Then
      getDownloadedMB = "NA"
    Else
      getDownloadedMB = getDownloadedMB
    End If
End Function
Function getDownloadrestMB
    getDownloadrestMB = boundedString2( strDay+"/"+strMonth+"/"+boundedString2( strDay+"/"+strMonth+"/", " ", 1, xtelemeter)+" "+getDownloadprc+" "+getUploadprc+" "+getDownloadedMB+".000000"+" ", ".000000", 1, xtelemeter)
    If getDownloadrestMB = "NA" Then
      getDownloadrestMB = "NA"
    Else
      getDownloadrestMB = getDownloadrestMB
    End If
End Function
Function getUploadedMB
    getUploadedMB = boundedString2( strDay+"/"+strMonth+"/"+boundedString2( strDay+"/"+strMonth+"/", " ", 1, xtelemeter)+" "+getDownloadprc+" "+getUploadprc+" "+getDownloadedMB+".000000"+" "+getDownloadrestMB+".000000"+" ", ".000000", 1, xtelemeter)
    If getUploadedMB = "NA" Then
      getUploadedMB = "NA"
    Else
      getUploadedMB = getUploadedMB
    End If
End Function
Function getUploadrestMB
    getUploadrestMB = boundedString2( strDay+"/"+strMonth+"/"+boundedString2( strDay+"/"+strMonth+"/", " ", 1, xtelemeter)+" "+getDownloadprc+" "+getUploadprc+" "+getDownloadedMB+".000000"+" "+getDownloadrestMB+".000000"+" "+getUploadedMB+".000000"+" ", ".000000", 1, xtelemeter)
    If getUploadrestMB = "NA" Then
      getUploadrestMB = "NA"
    Else
      getUploadrestMB = getUploadrestMB
    End If
End Function

'-------------------------------------------------------------------------------------------
' String Extraction Functions
'-------------------------------------------------------------------------------------------
Function boundedString(LeftBound, RightBound, fileName)
  boundedString = boundedString2(LeftBound, RightBound, 1, fileName)
End Function
Function boundedString2(LeftBound, RightBound, count, fileName)
  Dim xmlResult
  Set file_obj = CreateObject("Scripting.FileSystemObject")
  If (file_obj.FileExists(fileName)) Then
    Set file_path = file_obj.GetFile(fileName) ' Creates the connection to the file
    Set file = file_path.OpenAsTextStream (1, -2) ' Opens the file for reading
    xmlResult = file.readall
    File.Close ' Closes the file
    Set file_path = nothing ' Resets variable
    Set file_obj = nothing ' Resets variable
    boundedString2 = boundedString3(LeftBound, RightBound, count, xmlResult)
  Else
    boundedString2 = "NA"
  End If
End Function
Function boundedString3(LeftBound, RightBound, count, xmlResult)
  Dim xmlStart, xmlEnd
  xmlStart = InStr(1, xmlResult, LeftBound, 1) + Len(LeftBound)
  xmlEnd = InStr(xmlStart, xmlResult, RightBound, 1)
  For counter = 2 To count
    xmlStart = InStr(xmlEnd + Len(RightBound), xmlResult, LeftBound, 1) + Len(LeftBound) 
    xmlEnd = InStr(xmlStart, xmlResult, RightBound, 1)
  Next
  If xmlStart > 0 AND xmlEnd > 0 Then
    boundedString3 = Mid(xmlResult, xmlStart, xmlEnd - xmlStart)
  Else
    boundedString3 = "NA"
  End If
End Function


